<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-默认行为/事件</title>
	<style type="text/css">
		
	</style>
	<script type="text/javascript">	
		 
		window.onload=function(){	
			var text1=document.getElementById('text1');
			var btn=document.getElementById('btn');
			text1.onkeydown=function(ev){
				var oEvent=ev||event;
				// alert(oEvent.keyCode);
				if((oEvent.keyCode<48 || oEvent.keyCode>57) && oEvent.keyCode!=8){
					alert("请输入数字！");
					return false;
				}else{					
					
				}
				// return false;阻止onkeydown的默认输入
			};
		};
	</script>
</head>
<body>
	<div id="box">
		<input type="text" name="" value="" id="text1" />
		<input type="button" name="" value="提交" id="btn" />
	</div>
</body>
</html>